Show / Hide Table of Contents

# Class Status

This class represents a status effect an actor is afflicted by.

##### Inheritance

System.Object
Status

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Dalamud.Game.ClientState.Statuses

###### Assembly: Dalamud.dll

##### Syntax

    public class Status

### Properties

| Improve this Doc View Source

#### Address

Gets the address of the status in memory.

##### Declaration

    public IntPtr Address { get; }

##### Property Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### GameData

Gets the GameData associated with this status.

##### Declaration

    public Lumina.Excel.GeneratedSheets.Status GameData { get; }

##### Property Value

Type | Description
--- | ---
Lumina.Excel.GeneratedSheets.Status |

| Improve this Doc View Source

#### Param

Gets the parameter value of the status.

##### Declaration

    public ushort Param { get; }

##### Property Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### RemainingTime

Gets the time remaining of this status.

##### Declaration

    public float RemainingTime { get; }

##### Property Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### SourceId

Gets the source ID of this status.

##### Declaration

    public uint SourceId { get; }

##### Property Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### SourceObject

Gets the source actor associated with this status.

##### Declaration

    public GameObject SourceObject { get; }

##### Property Value

Type | Description
--- | ---
GameObject |

##### Remarks

This iterates the actor table, it should be used with care.

| Improve this Doc View Source

#### StackCount

Gets the stack count of this status.

##### Declaration

    public byte StackCount { get; }

##### Property Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### StatusId

Gets the status ID of this status.

##### Declaration

    public uint StatusId { get; }

##### Property Value

Type | Description
--- | ---
System.UInt32 |